Mesa is a software library for 3D computer graphics that provides a generic Khronos-compliant OpenGL implementation for rendering three-dimensional graphics on multiple platforms.

learn more… | top users | synonyms

7
votes
4answers
4k views

Now that Mesa 9.2 stable is a out, is there a way to upgrade to it in Ubuntu 13.04 without using unstable ppas?

I have a notebook with an AMD graphics card and I use it for games occasionally. The performance in Ubuntu 13.04 using open-source drivers is only OK, but I understand that mesa 9.2, combined with a ...
6
votes
2answers
2k views

How can I tell if I'm using LLVMPIPE?

This question is directly based on a comment/question that can be read here. I have a netbook with a Radeon X1200 series (RS690M) that's using the radeon driver. Unfortunately, I'm experiencing ...
5
votes
2answers
14k views

“error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS32” installing ATI drivers

I was following the instructions on section 3.2 of this page. Everything went well until step 8, which is to use sudo amdconfig --initial to create a new xorg.conf file, but I get the following ...
5
votes
1answer
2k views

Is there a GUI for configuring the Radeon Open Source Drivers and Mesa 3D similar to Catalyst Control Center?

Is it possible to change the settings of the radeon open source drivers and Mesa 3D graphics library? I am thinking of something similar to Catalyst Control Center that would allow me to control ...
5
votes
0answers
6k views

libGL.so and gl.h not available from standard path [closed]

I've just done a fresh install of 11.10, + nvidia-current from xswat ppa (cause the current version shipped with ubuntu is broken for my gpu). Please take time for understanding each steps. I don't ...
4
votes
2answers
8k views

OpenGL Warning not in mesa table

I am running ubuntu 13.04 on a virtual machine. My host is windows 7 64 bit machine i7-2630QM NVIDIA geforce gtx 460M graphics I have installed openGL, glut and mesa onto my linux OS in the virtual ...
3
votes
1answer
5k views

Intel HD 3000 'Gen6+ requires Kernel 3.6 or later.' Ubuntu 12.04 Kernel 3.5

I have a Core i5 with an Intel HD 3000, and i use Ubuntu 12.04 x64 with kernel 3.5.0-18, and PPA xorg-edgers for video drivers. And i think after last update, apps are crashing a lot: VLC won't play ...
3
votes
1answer
4k views

vdpau on Ubuntu 13.10 and mesa 9.2.1

I've just installed Ubuntu 13.10. I have a Radeon HD 4570 card and I want to use the hardware acceleration capabilities that were introduced with linux 3.10 in the mesa 9.2 So my question is: since I ...
3
votes
0answers
625 views

How do I install the latest Mesa release?

Which is the preferred way to install the latest stable version of Mesa on Ubuntu? I believe that would be a PPA, but not the bleeding-edge one like xorg-edgers. I would like to see a PPA that ...
3
votes
3answers
526 views

Is is possible to render ONLY Compiz with Unity3D using llvmpipe?

Basically, I have very poor 3D performance on everything OpenGL when using Unity3D. GLXGears gives me an average fps of 33FPS on Unity3D, while using Unity2D gives me an average of 58FPS. So, I was ...
3
votes
1answer
6k views

How do I install OpenGL 4+?

I've spent the past 3 days searching and can't find anything. I have an optimus setup with ironhide and a GT520M nVidia card; how do I install the latest version of OpenGL? I keep getting ...
2
votes
4answers
7k views

Set ATI/AMD GPU Fan speed with MESA Driver

My video card's (Sapphire ATi Radeon HD 3650) temperature reaches 150°C in 5 minutes and then it stops working. I installed fglrx and it works now. I can even play 3D games for 5-30 minutes. If I use ...
2
votes
1answer
9k views

How do I install the lastest Mesa driver in 11.10?

I'm suffering from this bug: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/829086 Does anyone know how to fix this from reading the comments on the bug? There is a proposed ...
2
votes
0answers
1k views

higan says that OpenGL 3.2 is not available, but I should have 3.3

I am running Trusty with gnome in crouton on a Toshiba Chromebook 2. I installed higan, and it reports: "Error: OpenGL 3.2 is not available." I googled this, and apparently the problem may be related ...
2
votes
0answers
228 views

VMWare: Check if 3D Hardware is used for rendering or not

How do I check whether my VMWare installation is using the GPU on the computer or using software rendering? The output from glxinfo is OpenGL vendor string: VMware, Inc. OpenGL renderer string: ...
2
votes
0answers
173 views

Black screen after login when installing Mesa 10 from source

I wanted to update my Mesa version to 10.0, so I compiled it from source, installed it, rebooted and when I logged in, I had a black screen with only my mouse visible. I have reinstalled Ubuntu 13.10 ...
2
votes
0answers
443 views

How to set up opengl on a dual graphics card laptop

I'm having trouble in getting newer version opengl. First, I get my graphics cards information using: lspci -nnk | grep VGA and it returns: 00:02.0 VGA compatible controller [0300]: Intel ...
2
votes
1answer
2k views

glxinfo and steam detecting incorrect video driver (Ubuntu 12.04)

I've asked for help on the Steam discussion boards and on the Steam Github bug page and I was told to ask about this issue on an Ubuntu forum. Here are the links: ...
2
votes
0answers
3k views

Ubuntu 13.04 “could not find required OpenGL entry point 'glGetError'!” [duplicate]

Just recently upgraded to 13.04 and am having trouble running TF2 via Steam. Whenever I start Steam I get a dialog saying: OpenGL GLX context is not using direct rendering, which may cause ...
2
votes
0answers
1k views

Installing mesa-utils messes up video driver info

After I installed mesa-utils in order to get rid of the "Unknown Driver" message (see here) I got contradicting info about which driver is actually being used. "System Settings" says: Gallium 0.4 on ...
2
votes
1answer
727 views

Software emulated OpenGL with higher version than my graphics card supports

I have an Intel GMA 950 chipset in my netbook. I want to learn how to write OpenGL shader programs with this fantastic tutorial and therefore need OpenGL 3.3. Sadly, my graphics card only supports ...
1
vote
2answers
7k views

Installing missing package that provides Xm/Xm.h

I'm compiling a software package that requires a header file. The header file is missing from my Ubuntu 11.10 (64-bit) installation. During the compilation using make, gcc and gfortran, I receive ...
1
vote
2answers
1k views

Would a new Mesa driver help to fix WebGL problems?

Reading AskUbuntu and on the forums, I am trying to find out what to do about a WebGL and Google MapsGL problem (described in a Google forum thread starting at post #5). Specifically, Google's MapsGL ...
1
vote
2answers
136 views

What are these commands for (fglrx-updates installation)? And how to undo one of them?

My ubuntu 14.04 was not able to install fglrx-updates. I have two graphic cards (intel and amd). I searched on the net and found some answers related to it. Firstly i tried this one: sudo apt-get ...
1
vote
1answer
690 views

Can't install mesa-common-dev

I can't install this package, it gives me an error, this is the output from terminal: ➜ ~ sudo apt-get install mesa-common-dev Reading package lists... Done Building dependency tree ...
1
vote
1answer
796 views

Package requirements (x11) were not met (set the environment variables)

So today I went to install Mesa - 9.0.1 from 01.org but wasn't sure how to compile it so I found a site that said you could convert the contents of .tar.gz files into .debs by using alien. So I ...
1
vote
1answer
106 views

Opengl Mesa : use opengl 4.0

I'm an opengl programmer, and I would like to use opengl 4.0; problem is that I cannot install any proprietary drivers, and when I type : glxinfo | grep "OpenGL version" in the terminal, it outputs me ...
1
vote
1answer
497 views

Broken OpenGL: Wrong GLX renderer in glxinfo and inxi (Nvidia instead of Intel)

I have spent all day trying to resolve this issue, I hope someone in this friendly forum can help: I am running the following setup: Distribution: Ubuntu 14.04.01 Kernel: 3.13.0-43-generic ...
1
vote
0answers
566 views

How to install Mesa 9.2 on Ubuntu 12.04

I want to install at least mesa 9.2. I am running 12.04 Precise Pangolin. Lots of places suggested xorg-edgers and oibaf, but every time I type sudo apt-get install mesa, it says package missing. I ...
1
vote
0answers
155 views

Where to get latest stable Mesa?

Atm the only choice we got is between Mesa which ships with Ubuntu (it's outdated before release) or one from Oibag PPA which is latest git development branch (very unstable). What about latest ...
1
vote
0answers
592 views

Increasing the onboard graphic memory card for intel-Gm45 series

Recently I have upgraded my RAM modules to 2*4GB 800 Mhz dual-channels. I have 10GB swap space as well in my Ubuntu 12.04. Kinda weird that I don't have the options for manipulating the onboard ...
1
vote
0answers
2k views

No login screen on Ubuntu 12.10 after update

A few weeks back, I applied the latest updates to my Ubuntu 12.10 (32-bit) running Gnome-Shell, which happens to be a virtual machine running under VMware Player 5.0 on Windows 7. After the updates ...
1
vote
1answer
955 views

no sound via HDMI using Xubuntu 13.04 32 bit AMD mesa 9.2

This question has perhaps been asked before but no clear solution seems to exist for me. I have a Radeon 6850 connected to my screen via HDMI. The picture is fine but I get no sound at all, not even ...
0
votes
1answer
6k views

After installation of bumblebee: i386 OpenGL Apps stopped working

I'm using Ubuntu 12.04 on my notebook (ASUS K53SV, i7-2670QM, Intel HD 3000, GeForce 540M). In order to save energy i've installed "bumblebee", a solution for Nvidia Optimus Technology on Linux. So ...
0
votes
1answer
853 views

ubuntu 13.04 - Some radeon firmware files missing - low resolution problem

I have a MSI HD6870 video card and I'm using open source drivers. I have upgraded from kernel 3.8 to 3.11.0-031100 stable. After reboot I had low resolution problem, that is my maximum resolution is ...
0
votes
1answer
1k views

What Mesa and X.ORG version will Ubuntu 11.10 use

With only 2 months left, what version of Mesa and X.org will Ubuntu 11.10 use. I ask this because of the changes to Intel graphic cards in the latest ones.
0
votes
1answer
176 views

Mesa installation - Make process - Issue

I am trying to build and install MESA library in ubuntu 13.10.. In the make command, I am facing the following erros.. sathish@ubuntu:~/Desktop/layer_management-1_2/work/mesa/src/loader$ make -j 4 ...
0
votes
3answers
90 views

Somehow, I've stoped OpenGL working

Somehow, I can no longer run anything that uses OpenGL. Any attempts to do so get the error Xlib: extension "GLX" missing on display ":0".. In /usr/lib I have LibGL.la, LibGL.so, LibGL.so.1 and ...
0
votes
1answer
1k views

After installing 'mesa', Ubuntu doesn't start up

Firstly, i've deleted /etc/X11/xorg.conf And then tried below command to install mesa on Ubuntu 12.04.2. sudo apt-get install libglapi-mesa && sudo apt-get install libosmesa6 After reboot ...
0
votes
1answer
160 views

upgrading libglu1-mesa to its latest version

Yesterday I needed to install freeglut3, and ubuntu was saying that it needed libglu1-mesa=8.0.4-0ubuntu0.2 while 8.1~git1206081121.640409~gd~p was to be installed. So in order I did apt-get install ...
0
votes
1answer
980 views

what packages should I install in ubuntu 12.04 to fulfill opengl requirements for using nouveau driver?

I try to switch from nvidia to nouveau driver via script: !/bin/bash stop gdm rmmod nvidia sed -i "s/nouveau/nvidia/" /etc/modprobe.d/blacklist-nvidia-nouveau.conf update-alternatives --set ...
0
votes
0answers
229 views

How to get OpenGL Shader Language 1.4 working with Intel HD Graphics 4000? (Trusty/14.04)

I am running Ubuntu 14.04 (trusty) on an Ultrabook with the i7-3537U CPU. This processor has the Intel HD 4000 GPU (ref), which supports OpenGL 3.3 under Linux (ref). OpenGL 3.3 includes support for ...
0
votes
0answers
19 views

Is Floating Point Texture Support Enabled in Mesa?

I am attempting to play a game through CrossOver for Linux. However, I get a warning that floating-point textures isn't supported in OpenGL. I recently found that this was due to a legal issue that ...
0
votes
0answers
246 views

Unity desktop on Raspberry Pi 2

The first thing needed to make it work is a driver. There was a Mesa and DRM driver for Broadcom VC4 developed recently by Eric Anholt. It's an OpenGL driver. http://dri.freedesktop.org/wiki/VC4/ ...
0
votes
0answers
37 views

14.04: Unable to locate package mesa [duplicate]

sudo apt-get install mesa results in: Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package mesa lspci -k | grep VGA -A2 ...
0
votes
0answers
58 views

Can't start X server on main partition — Mesa/NVidia conflict?

I am unable to start my X server any time I try booting my computer -- which is running Ubuntu 14.04 -- from the default partition (i.e., by choosing the first "Ubuntu" option in the GRUB menu). ...
0
votes
0answers
43 views

Severe graphical distortion in Minecraft - Xubuntu 14.10

I have only noticed this issue in Minecraft, no other 3D applications. It started happening somewhat recently (maybe related to an update, I'm using the Xorg Edgers PPA) - I have an R9 290X, and am ...
0
votes
0answers
423 views

dependency problem when installing any opengl dev packages on 15.04 (or 14.10)

Background: Currently running kubuntu 15.04, have run into the same problem on a previous install of 14.10 that led to the upgrade. I'd like access to a appropriate opengl header file (GL/gl.h) and ...
0
votes
0answers
17 views

Couldn't bind mesa with vis5d+

Problem: I am trying to link mesa with vis5d+ mesa is installed under this directory: /usr/lib/i386-linux-gnu/mesa when I run ipc@ipc-ThinkPad-X240:~/Downloads/vis5d+-1.3.0-beta$ ./configure it ...
0
votes
0answers
26 views

installing mesa after configuration process

I am a new user of Ubuntu and I am trying to install mesa in my Ubuntu. When I try to install mesa it gives this message: [install-recursive] Error 1 make[2]: Leaving directory ...